Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040556
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Remittancemajoralways2019-04-09 19:092019-05-02 11:35
ReporterngarciaView Statuspublic 
Assigned Tononofrancisco 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision210361ae4d4d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned ToSandrahuguet
Regression introduced in release
Summary

0040556: Cannot reactivate a remittance if a invoice is also included on a remittance in draft status

DescriptionCannot reactivate a remittance if a invoice is also included on a remittance in draft status. One of the following error messages is shown:

1) ERROR: update or delete on table "fin_payment_scheduledetail" violates foreign key constraint "rem_remline_finpayschdet" on table "rem_remittanceline" Detail: Key (fin_payment_scheduledetail_id)=(...) is still referenced from table "rem_remittanceline".

2) javax.persistence.PersistenceException: org.hibernate.exception.ConstraintViolationException: could not execute batch

Steps To ReproduceAs group admin role:
   Create a purchase order
   Create a purchase invoice from it
   Create a remittance
   Set an expected data higher than the invoice's due date
   Select Order or Invoices:
      Transaction Type: Payment Out
      Document: Order and Invoices
   Select the line related with previously created documents and pay it partially (do not pay the whole amount)
   Process the remittance
   Create a new remittance
   Set an expected data higher than the invoice's due date
   Select Order or Invoices:
      Transaction Type: Payment Out
      Document: Order and Invoices
   Select the line related with previously created documents and pay the pending amount
   Do not process the remittance

   Return to the first remittance and try to reactivate it. You will get the following error:
     ERROR: update or delete on table "fin_payment_scheduledetail" violates foreign key constraint "rem_remline_finpayschdet" on table "rem_remittanceline" Detail: Key (fin_payment_scheduledetail_id)=(...) is still referenced from table "rem_remittanceline".
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111291)
nonofrancisco (developer)
2019-04-24 17:58
edited on: 2019-04-30 17:59

Test Plan No.1:

As group admin role:
   Create a purchase order
   Create a purchase invoice from it
   Create a remittance R1
   Set an expected data higher than the invoice's due date
   Select Order or Invoices:
      Transaction Type: Payment Out
      Document: Order and Invoices
   Select the line related with previously created documents and pay it partially
   Process the remittance
   Create a new remittance R2
   Set an expected data higher than the invoice's due date
   Select Order or Invoices:
      Transaction Type: Payment Out
      Document: Order and Invoices
   Select the line related with previously created documents and pay the pending amount
   Do not process the remittance

   Try to reactivate remittance R1
   Verify an error message is show
   Process the remittance R2
   Try to reactivate remittance R1
   Verify the process completes successfully

Test Plan No.2:

As group admin role:
   Create a purchase order
   Create a purchase invoice from it
   Create another purchase order
   Create a purchase invoice from it
   Create a remittance R1
   Set an expected data higher than the invoice's due date
   Select Order or Invoices:
      Transaction Type: Payment Out
      Document: Order and Invoices
   Select the lines related with previously created documents and pay it partially
   Process the remittance
   Create a new remittance R2
   Set an expected data higher than the invoice's due date
   Select Order or Invoices:
      Transaction Type: Payment Out
      Document: Order and Invoices
   Select the line related with first created document and pay the pending amount
   Do not process the remittance
   Create a new remittance R3
   Set an expected data higher than the invoice's due date
   Select Order or Invoices:
      Transaction Type: Payment Out
      Document: Order and Invoices
   Select the line related with last created document and pay the pending amount
   Do not process the remittance

   Try to reactivate remittance R1
   Verify an error message is shown
   Process remittance R2
   Try to reactivate remittance R1
   Verify an error message is shown
   Process remittance R3
   Try to reactivate remittance R1
   Verify the process completes successfully

(0111424)
hgbot (developer)
2019-05-02 11:34

Repository: erp/mods/org.openbravo.module.remittance
Changeset: 210361ae4d4db4227df038490c6a39fd35ddc72e
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Thu May 02 11:28:37 2019 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.module.remittance/rev/210361ae4d4db4227df038490c6a39fd35ddc72e [^]

Fixes issue 40556: An error is shown when remittance can not be reactivated

When reactivating a remittance, if exists any line in other non processed
remittances, linked to the same order and invoice of lines in this remittance,
it can not be reactivated; in that case, an errror message is shown.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/module/remittance/process/REM_RemittanceProcess.java
---
(0111426)
Sandrahuguet (developer)
2019-05-02 11:35

code review + testing OK

- Issue History
Date Modified Username Field Change
2019-04-09 19:09 ngarcia New Issue
2019-04-09 19:09 ngarcia Assigned To => Triage Finance
2019-04-09 19:09 ngarcia Issue Monitored: networkb
2019-04-10 08:41 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-04-11 10:43 miguelmartinez Issue Monitored: miguelmartinez
2019-04-15 18:12 nonofrancisco Status new => scheduled
2019-04-24 17:58 nonofrancisco Note Added: 0111291
2019-04-24 17:59 nonofrancisco Note Edited: 0111291 View Revisions
2019-04-30 17:59 nonofrancisco Note Edited: 0111291 View Revisions
2019-05-02 11:34 hgbot Checkin
2019-05-02 11:34 hgbot Note Added: 0111424
2019-05-02 11:34 hgbot Status scheduled => resolved
2019-05-02 11:34 hgbot Resolution open => fixed
2019-05-02 11:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/mods/org.openbravo.module.remittance/rev/210361ae4d4db4227df038490c6a39fd35ddc72e [^]
2019-05-02 11:35 Sandrahuguet Review Assigned To => Sandrahuguet
2019-05-02 11:35 Sandrahuguet Note Added: 0111426
2019-05-02 11:35 Sandrahuguet Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker